curl --request POST \
--url 'https://api.stateset.com/api/v1/currencies/rates' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"base_currency": "string",
"quote_currency": "string",
"rate": "string"
}'
{
"base_currency": "string",
"quote_currency": "string",
"rate": "string",
"updated_at": "string"
}
Set rate
POST
/
api
/
v1
/
currencies
/
rates
curl --request POST \
--url 'https://api.stateset.com/api/v1/currencies/rates' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"base_currency": "string",
"quote_currency": "string",
"rate": "string"
}'
{
"base_currency": "string",
"quote_currency": "string",
"rate": "string",
"updated_at": "string"
}
Request body
SetExchangeRateRequest
string
required
string
required
string
required
Responses
ExchangeRateResponse
ErrorBody
curl --request POST \
--url 'https://api.stateset.com/api/v1/currencies/rates' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"base_currency": "string",
"quote_currency": "string",
"rate": "string"
}'
{
"base_currency": "string",
"quote_currency": "string",
"rate": "string",
"updated_at": "string"
}
⌘I